manifestVersion: "0.0.1"
id: copyparty
name: copyparty
tagline: "Универсальный файловый сервер «все в одном» для всего"
category: files
version: "1.20.14"
port: 3923
description: >-
  📼 copyparty — это легкая, но невероятно мощная платформа для обмена файлами, созданная для того, чтобы дать вам полный контроль над вашими данными. Он превращает любую среду в персональный и полнофункциональный файловый центр, где вы можете загружать, скачивать, редактировать и упорядочивать файлы непосредственно через интуитивно понятный веб-интерфейс. Все происходит в браузере без необходимости использования дополнительного программного обеспечения, что делает его быстрым, удобным и доступным практически из любого места.
  
  
  По своей сути, copyparty построен на простоте и гибкости. Он поддерживает несколько стандартных протоколов, таких как HTTP, WebDAV и FTP, что обеспечивает плавную интеграцию с широким спектром клиентов и устройств. Вы можете перетаскивать файлы в браузер, создавать папки, управлять разрешениями и мгновенно делиться ссылками с другими. Если вы хотите разместить временную область загрузки, организовать долгосрочные архивы или поддерживать личное рабочее пространство, copyparty легко адаптируется к вашим потребностям.
  
  
  Помимо базового управления файлами, copyparty включает в себя расширенные инструменты, которые делают его гораздо большим, чем обычный файловый сервер. Он поставляется со встроенным медиаплеером для потоковой передачи музыки и видео прямо из вашей библиотеки, а также с текстовыми редакторами и редакторами Markdown для редактирования документов в браузере. Вы можете помечать файлы, выполнять мгновенный поиск в больших каталогах и даже при необходимости восстанавливать предыдущие версии файлов.
  
  
  Безопасность и персонализация также лежат в основе дизайна copyparty. Он предлагает детальный контроль доступа пользователей, защиту паролем и точно настроенные параметры конфигурации в соответствии с вашим рабочим процессом. Интерфейс можно полностью изменить с помощью пользовательских тем CSS, что позволяет легко создать индивидуальный внешний вид.
  
  
  По сути, copyparty — это не просто файловый сервер, а гибкая и элегантная экосистема управления файлами. Оно может служить частным облаком, рабочим пространством для совместной работы или полнофункциональным цифровым архивом, сочетая производительность, простоту и свободу в одном компактном приложении.
developer: "9001"
website: https://github.com/9001/copyparty
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
repo: https://github.com/9001/copyparty
support: https://github.com/9001/copyparty/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
  - 5.jpg
releaseNotes: >-
  Новые возможности в этом выпуске:
    - Добавлена возможность автоматического выбора языка интерфейс в зависимости от языковых настроек браузера.
    - Добавлена опция автоматического переключения между видом списка и сеткой в зависимости от содержимого папки.
    - Аудиоплеер теперь может воспроизводить файлы фоновой музыки для Nintendo 3DS и Wii (bcstm, bfstm, brstm).
    - Добавлены единицы размера файла на основе 1000 наряду с существующими единицами измерения на основе 1024.
    - Файлы конфигурации теперь могут использовать переменные среды ОС в разделе глобальной конфигурации.
    - Добавлена возможность указать сертификат и ключ TLS в виде отдельных файлов.
  
  
  Исправления в этом выпуске:
    - Исправлена ошибка, из-за которой клиенты WebDAV не могли использовать PROPFIND для файла с бесконечной глубиной.
    - Исправлен сбой аудиоплеера, когда папка содержит файл m3u и порядок сортировки изменяется во время воспроизведения.
    - Исправлена ошибка, из-за которой при загрузке безымянных текстовых файлов неправильно получалось расширение .ssa вместо .txt, когда был включен магический режим.
    - Исправлена функция Tail/follow, засылающая журнал повторными сообщениями о повторном открытии в некоторых файловых системах.
    - Исправлены аудиофайлы, встроенные в видеофайлы, которые отображались неправильно.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/9001/copyparty/releases.
dependencies: []
path: ""
defaultUsername: "admin"
defaultPassword: "dfwebos"
